Subject: Re: [MMUSIC] [mmusic] #4: #4: Multi-stream demultiplexing

From: Hadriel Kaplan <[email-masked]>
Date: Mon, 12 Mar 2012 16:33:35 +0000

I propose we simply limit the loopback source to sending only one stream for a given RTP session.  There's no need to complicate this further. 

-hadriel

On Jan 31, 2012, at 12:44 PM, mmusic issue tracker wrote:

> #4: #4: Multi-stream demultiplexing
> 
> From Magnus: 22. Section 6.
> Media loopback, if a loopback source would send more than one stream how
> does the loopback mirror indicate which source is which in its return
> stream? SDES CNAME could be copied but would be confusing for anyone
> monitoring this stream as SSRCs from both end-points would appear to
> have the same CNAME. The ssrc-grouping could possibly be used, but I
> think one needs to consider the effect of that the SSRCs to be grouped
> are not on the same end-point. I don't even know if my  SRCNAME proposal
> could deal with this case well.
> 
> -- 
> --------------------------+------------------------------------------------
> Reporter:  hkaplan@…     |      Owner:  draft-ietf-mmusic-media-loopback@…
>     Type:  defect        |     Status:  new
> Priority:  minor         |  Milestone:  milestone1
> Component:  media-        |    Version:  1.0
>  loopback                |   Keywords:
> Severity:  In WG Last    |
>  Call                    |
> --------------------------+------------------------------------------------
> 
> Ticket URL: <http://trac.tools.ietf.org/wg/mmusic/trac/ticket/4>
> mmusic <http://tools.ietf.org/mmusic/>
>